/**
 * Test case for apemanUiLogger.
 * Runs with nodeunit.
 */

var apemanUiLogger = require('../lib/apeman_ui_logger.js');

exports['Apeman ui logger'] = function (test) {
    var logger = apemanUiLogger({
        name: 'foo'
    });
    test.ok(logger);
    logger.debug('This is debug.');
    logger.info('This is info.');

    logger.printUiStart();
    logger.printUiDone();
    //logger.printUiFailed(new Error('baz'));
    logger.printConfig("aaa", {
        bar: 'baz'
    });

    test.done();
};

