/**
 * Test case for apemanTaskLogger.
 * Runs with nodeunit.
 */

var apemanTaskLogger = require('../lib/apeman_task_logger.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['Apeman task logger'] = function (test) {
    var logger = apemanTaskLogger({});
    logger.logTaskStarted('foo', {});
    logger.logTaskFinished(400);
    logger.logList({
        foo: [
            'foo:foo1',
            'foo:foo2'
        ],
        'foo:foo1': function () {

        },
        'foo:foo2': {
            desc: 'baz'
        }
    })
    test.done();
};

